opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
cv::Mat::MSize Struct Reference

`#include <core.hpp>`

## Public Member Functions

| MSize (int *_p)
| operator const int * () const
bool | operator!= (const MSize &sz) const
Size | operator() () const
bool | operator== (const MSize &sz) const
int | operator[] (int i) const
int & | operator[] (int i)

## Public Attributes

int * | p

## Constructor & Destructor Documentation

cv::Mat::MSize::MSize | ( | int * | _p | ) |

inline

## Member Function Documentation

cv::Mat::MSize::operator const int * | ( |  | ) | const

inline

bool cv::Mat::MSize::operator!= | ( | const MSize & | sz | ) | const

inline

Size cv::Mat::MSize::operator() | ( |  | ) | const

inline

bool cv::Mat::MSize::operator== | ( | const MSize & | sz | ) | const

inline

int cv::Mat::MSize::operator[] | ( | int | i | ) | const

inline

int & cv::Mat::MSize::operator[] | ( | int | i | ) |

inline

## Member Data Documentation

int* cv::Mat::MSize::p

The documentation for this struct was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp